Skip to main content
GET
/
discovery
/
agents
Discover top trusted agents (public)
curl --request GET \
  --url https://api.usebacked.ai/discovery/agents
import requests

url = "https://api.usebacked.ai/discovery/agents"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.usebacked.ai/discovery/agents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "agents": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "ap2Did": "<string>",
      "name": "<string>",
      "category": "<string>",
      "walletAddress": "<string>",
      "marketplaces": [
        "<string>"
      ],
      "activityScore": 123,
      "activityTier": "<string>",
      "reputationScore": 123,
      "reputationTier": "<string>",
      "observedTxCount": 123,
      "totalVolume": 123,
      "stakedAmount": 123,
      "lastActivityAt": "2023-11-07T05:31:56Z"
    }
  ],
  "total": 123,
  "limit": 123,
  "offset": 123
}

Query Parameters

q
string

Free-text search over name, AP2 DID, A2A id and wallet address.

provenance
enum<string>

Only agents with this provenance.

Available options:
observed,
claimed,
verified
category
enum<string>

Service category to filter by.

Available options:
SERVICES,
GOODS,
DATA,
COMPUTE,
FINANCIAL,
OTHER
marketplace
string

Only agents declared to operate in this marketplace.

minActivityScore
number

Minimum activity score (0-100).

sort
enum<string>
default:activity
Available options:
activity,
reputation
limit
integer
default:25
Required range: x <= 100
offset
integer
default:0

Response

Ranked agents.

agents
object[]
total
integer
limit
integer
offset
integer